/*
 * AbstractREtoRGConverter.h
 *
 *  Created on: 5. 3. 2014
 *      Author: tomas
 */

#ifndef ABSTRACTRETORGCONVERTER_H_
#define ABSTRACTRETORGCONVERTER_H_

#include <regexp/RegExp.h>

#include "../include/macros.h"
#include "../abstract/Conversion.h"

namespace conversions
{

/**
 * Abstract regular expression to grammar converter.
 */
class AbstractREtoRGConverter : public Conversion
{
public:
    virtual ~AbstractREtoRGConverter( void );

protected:
    /**
     * @param re Source regular expression.
     */
    AbstractREtoRGConverter( const regexp::RegExp & re );

    /**
     * Source regular expression.
     */
    const regexp::RegExp m_re;
};

} /* namespace conversions */

#endif /* ABSTRACTRETORGCONVERTER_H_ */
