/*
 * Epsilon.h
 *
 *  Created on: Jan 30, 2014
 *      Author: honza
 */

#ifndef EPSILON_H_
#define EPSILON_H_

#include <ostream>

namespace alphabet {

/**
 * Represents empty word.
 */
class Epsilon {
public:
	/**
	 * Creates new empty string.
	 */
	Epsilon();

	bool operator <(const Epsilon& other) const;
	bool operator ==(const Epsilon& other) const;
	bool operator !=(const Epsilon& other) const;

	friend std::ostream& operator<<(std::ostream&, const Epsilon&);
};
}
#endif /* EPSILON_H_ */
